ID Card OCR Scan
POST
/api/v1/kyc/id-card/scan
const url = 'https://api.parasta.io/api/v1/kyc/id-card/scan';const form = new FormData();form.append('id_type', 'example');form.append('image', 'file');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/kyc/id-card/scan \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form id_type=example \ --form image=@fileUpload ID card image for OCR scanning and verification.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type multipart/form-data
object
id_type
required
RESIDENT_CARD | DRIVER_LICENSE | PASSPORT
string
image
required
ID card image file
string format: binary
Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "name": "John Doe", "ssn": "910101-*******", "issue_date": "2026.05.16", "match": true }}